<template>
  <b-row class="mt-5">
    <b-col cols="12" md="9">
      <p class="categroy">{{article.des_facet.toString()}}</p>
      <h3 class="title">{{article.title}}</h3>
      <ul class="entry-meta mb-5">
        <li><span>{{article.published_date | convertUnixToDate('MMMM DD, YYYY')}}</span></li>
        <li><span>{{article.byline}}</span></li>
      </ul>
      <img :src="article.multimedia[4] ? article.multimedia[4].url : ''" alt="" width="100%" />
      <p class="mt-5">Source New York Times: <a :href="article.url">Link to detail</a></p>
    </b-col>
    <b-col class="hidden-xs col-right">
      <latest-article></latest-article>
    </b-col>
  </b-row>
</template>

<script>
export default {
  data () {
    return {
      article: null
    }
  },
  created () {
    this.init()
  },
  methods: {
    init () {
      this.article = this.$route.query.item
      console.log(this.article)
    }
  }
}
</script>

<style lang="scss" scoped>
.col-right {
  padding: 30px;
  border-left: 1px solid #d4d4d4;
}
.title {
  border-width: 1px;
  border-top-style: solid;
  border-bottom-style: solid;
  border-color: rgba(212, 212, 212, 0.5);
  padding: 20px 0px;
}
.entry-meta {
  list-style-type: none;
  margin: 15px 0px;
  padding: 0px;
  height: 40px;
  li {
    float: left;
    span {
      font-size: 11px;
      padding: 0px 10px;
      border-right: 1px solid #ccc;
      font-family: Arial, Helvetica, 'Nimbus Sans L', sans-serif;
      text-transform: uppercase;
    }
    &:first-child {
      span {
        padding-left: 0px;
      }
    }
    &:last-child {
      span {
        border: 0px;
      }
    }
  }
  -webkit-box-shadow: inset 0px -1px 0px 0px #d4d4d4, inset 0px -2px 0px 0px #ffffff, inset 0px -4px 0px 0px #d4d4d4;
  box-shadow: inset 0px -1px 0px 0px #d4d4d4, inset 0px -2px 0px 0px #ffffff, inset 0px -4px 0px 0px #d4d4d4;
}
</style>
